$(document).ready(function() {
  // chat
  $.getJSON("data/chat.json", function(data) {
    $(".chat .total .crapauds").text(data.crapauds.total);
    $(".chat .total .canaux").text(data.canaux.total);
    $(".chat .total .messages").text(data.messages.total);
    $(".chat .recent .crapauds").text(data.crapauds.recent);
    $(".chat .recent .canaux").text(data.canaux.recent);
    $(".chat .recent .messages").text(data.messages.recent);
    $(".chat ul").text("");
    $.each(data.canaux.liste, function(i, canal) {
      var link = $("<a>")
        .attr("href", "https://coa.crapaud-fou.org/channel/" + canal)
        .attr("class", "list-item")
        .text(canal);
      var li = $("<li>").append(link);
      $(".chat ul").append(li);
    });
  });

  // idees
  $.getJSON("data/idees.json", function(data) {
    $(".idees .total .crapauds").text(data.crapauds.total);
    $(".idees .total .idees").text(data.idees.total);
    $(".idees .total .commentaires").text(data.commentaires.total);
    $(".idees .recent .crapauds").text(data.crapauds.recent);
    $(".idees .recent .idees").text(data.idees.recent);
    $(".idees .recent .commentaires").text(data.commentaires.recent);
    $(".idees ul").text("");
    $.each(data.idees.liste, function(index, idee) {
      var link = $("<a>")
        .attr("href", "https://idees.crapaud-fou.org/" + index)
        .attr("class", "list-item")
        .attr("title", idee)
        .text(idee);
      var li = $("<li>").append(link);
      $(".idees ul").append(li);
    });
  });

});